CSIT-1193 Update of perf jobs
[ci-management.git] / jjb / dmm / include-raw-dmm-csit-functional-virl.sh
1 #!/bin/bash
2 # Copyright (c) 2018 Huawei Technologies Co.,Ltd.
3 # Licensed under the Apache License, Version 2.0 (the "License");
4 # you may not use this file except in compliance with the License.
5 # You may obtain a copy of the License at:
6 #
7 #     http://www.apache.org/licenses/LICENSE-2.0
8 #
9 # Unless required by applicable law or agreed to in writing, software
10 # distributed under the License is distributed on an "AS IS" BASIS,
11 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
12 # See the License for the specific language governing permissions and
13 # limitations under the License.
14
15 set -xeu -o pipefail
16
17 cd ../
18
19 # Clone csit and start tests
20 git clone https://gerrit.fd.io/r/csit
21
22 # If the git clone fails, complain clearly and exit
23 if [ $? != 0 ]; then
24     echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
25     exit 1
26 fi
27
28 # Move the dmm to the csit dir
29 sudo mv -f ./dmm/ ./csit/
30
31 cd csit
32
33 # execute dmm bootstrap script if it exists
34 if [ -e bootstrap-DMM.sh ]
35 then
36     # make sure that bootstrap-DMM.sh is executable
37     chmod +x bootstrap-DMM.sh
38     # run the script
39     ./bootstrap-DMM.sh
40 else
41     echo 'ERROR: No bootstrap-DMM.sh found'
42     exit 1
43 fi
44
45 # vim: ts=4 ts=4 sts=4 et :